﻿<h2>Eliminar</h2>

<form id="entityForm">
    @Html.AntiForgeryToken()
    <input type="hidden" id="entidad" value="Loan" />
    <div>
        <label for="id" class="fw-bold">ID:</label>
        <span id="id"></span>
    </div>
    <div>
        <label for="loanDate" class="fw-bold">Loan Date:</label>
        <span id="loanDate"></span>
    </div>
    <div>
        <label for="returnDate" class="fw-bold">Return Date:</label>
        <span id="returnDate"></span>
    </div>
    <div>
        <label for="user" class="fw-bold">User:</label>
        <span id="user"></span>
    </div>
    <div>
        <label for="book" class="fw-bold">Book:</label>
        <span id="book"></span>
    </div>
    <br />
    <div>
        <button type="button" onclick="eliminar()" class="btn btn-primary">Eliminar</button>
        <button type="button" onclick="cancelar()" class="btn btn-secondary">Cancelar</button>
    </div>
</form>

<script src="~/js/crud/delete.js"></script>
<script>
    function fillData(data) {
        document.getElementById("id").textContent = data.id;
        document.getElementById("loanDate").textContent = data.loanDate;
        document.getElementById("returnDate").textContent = data.returnDate;
        document.getElementById("user").textContent = data.user.fullName;
        document.getElementById("book").textContent = data.book.title;
    }

    cargarDatos();
</script>